import { world, system } from "@minecraft/server";
    

world.beforeEvents.worldInitialize.subscribe(initEvent => { initEvent.itemComponentRegistry.registerCustomComponent('mr_krime_bottle_ice_pop:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:blindness", 600, {amplifier: 1});
e.source.addEffect("minecraft:hunger", 600, {amplifier: 1});
e.source.addEffect("minecraft:levitation", 600, {amplifier: 1});
e.source.addEffect("minecraft:slowness", 600, {amplifier: 1});
  
},

  onUse: e => {
  e.source.runCommand("function prime_efe");
},

});

initEvent.itemComponentRegistry.registerCustomComponent('mr_ceastables:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:bad_omen", 600, {amplifier: 1});
e.source.addEffect("minecraft:hunger", 600, {amplifier: 1});
e.source.addEffect("minecraft:mining_fatigue", 600, {amplifier: 1});
e.source.addEffect("minecraft:regeneration", 600, {amplifier: 1});
e.source.addEffect("minecraft:slowness", 600, {amplifier: 1});
  
},

  onUse: e => {
  e.source.runCommand("function feast_efe");
},

});

initEvent.itemComponentRegistry.registerCustomComponent('mr_kunchly:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:hunger", 600, {amplifier: 1});
e.source.addEffect("minecraft:mining_fatigue", 600, {amplifier: 1});
e.source.addEffect("minecraft:nausea", 600, {amplifier: 1});
e.source.addEffect("minecraft:regeneration", 600, {amplifier: 1});
e.source.addEffect("minecraft:slow_falling", 600, {amplifier: 1});
e.source.addEffect("minecraft:slowness", 600, {amplifier: 1});
e.source.addEffect("minecraft:weakness", 600, {amplifier: 1});
  
},

  onUse: e => {
  e.source.runCommand("function kunchl_efe");
},

});

initEvent.itemComponentRegistry.registerCustomComponent('mr_pizza_trust:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:hunger", 600, {amplifier: 1});
e.source.addEffect("minecraft:mining_fatigue", 600, {amplifier: 1});
e.source.addEffect("minecraft:nausea", 600, {amplifier: 1});
e.source.addEffect("minecraft:weakness", 600, {amplifier: 1});
  
},

  onUse: e => {
  e.source.runCommand("function kunchl_efe");
},

});
 });
